package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.SnapshotModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface VolumeSnapProvider extends SuperProvider {
    @Override
    public boolean accessable();

    default public BocloudResult list() {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult create(SnapshotModel snapshotModel) {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult modify(SnapshotModel snapshotModel) {
        return new BocloudResult(false, "尚未实现");
    }

    // 参数类型为Long，是认真的嘛？
    default public BocloudResult remove(Long snapshotId) {
        return new BocloudResult(false, "尚未实现");
    }

    // 参数类型为Long，是认真的嘛？
    default public BocloudResult detail(Long snapshotId) {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult remove(SnapshotModel snapshotModel) {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult detail(SnapshotModel snapshotModel) {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult revert(SnapshotModel snapshotModel) {
        return new BocloudResult(false, "尚未实现！");
    }
}
